From 263dc606e14d809643ceced043cb5f985a9dc469 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Mon, 16 May 2022 10:12:08 +0200
Subject: [PATCH 19/34] Fix auth_g_get_data()

Remove not existing wrapper.

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_auth.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/src/common/slurm_auth.c b/src/common/slurm_auth.c
index a423ad98a4..7b8a3ff61b 100644
--- a/src/common/slurm_auth.c
+++ b/src/common/slurm_auth.c
@@ -224,12 +224,10 @@ int g_slurm_auth_verify(void *cred, char *auth_info)
 
 int auth_g_get_data(void *cred, char **data, uint32_t *len)
 {
-	cred_wrapper_t *wrap = (cred_wrapper_t *) cred;
-
-	if (!wrap || slurm_auth_init(NULL) < 0)
+	if (slurm_auth_init(NULL) < 0)
 		return SLURM_ERROR;
 
-	return (*(ops[wrap->index].get_data))(cred, data, len);
+	return (*(ops.get_data))(cred, data, len);
 }
 
 uid_t g_slurm_auth_get_uid(void *cred, char *auth_info)
-- 
2.35.3


